/*
 * ParseFileHandler.java
 * Version 1.1
 *
 * Created on May 1, 2006, 5:03 PM
 * Last modified on February 14, 2007.
 * McGill University
 */

package mckay.utilities.xml;

import org.xml.sax.*;
import org.xml.sax.helpers.DefaultHandler;


/**
 * An extension of the Xerces XML DefaultHandler class that adds an array of
 * objects that can contain information derived from files during parsing.
 */
public class ParseFileHandler
     extends DefaultHandler
{
     /* FIELDS ****************************************************************/
     
     
     /**
      * Holds the data extracted from the XML file.
      */
     public Object[] parsed_file_contents;
     
     
     /**
      * Holds any comments extracted from the XML file.
      */
     public String comments;
}
